Package org.silverpeas.components.blog.access

## Class BlogPostWriteAccessController

- java.lang.Object
- - org.silverpeas.core.security.authorization.AbstractAccessController<String>
  - - org.silverpeas.components.blog.access.BlogPostWriteAccessController

- All Implemented Interfaces:
    `BlogPostWriteAccessControl`, `org.silverpeas.core.security.authorization.AccessController<String>`

      @Service
      @Singleton
      public class BlogPostWriteAccessController
      extends org.silverpeas.core.security.authorization.AbstractAccessController<String>
      implements BlogPostWriteAccessControl

  A controller of write access on a blog. It controls the user can access the blog and have enough privileges to contribute in the blog.

  With access rights, a user can create/modify/delete a post.

  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BlogPostWriteAccessController()` | Hidden constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isUserAuthorized​(String userId, String blogId, org.silverpeas.core.security.authorization.AccessControlContext context)` |
    `boolean` | `isUserAuthorized​(String userId, org.silverpeas.core.ResourceIdentifier id)` |

    - ### Methods inherited from class org.silverpeas.core.security.authorization.AbstractAccessController

      `fillUserRoles, filterAuthorizedByUser, filterAuthorizedByUser, getUserRoles, isUserAuthorized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.security.authorization.AccessController

      `filterAuthorizedByUser, filterAuthorizedByUser, getUserRoles, isGroupAuthorized, isUserAuthorized, isUserAuthorized`

- - ### Constructor Detail

    - #### BlogPostWriteAccessController

          protected BlogPostWriteAccessController()

      Hidden constructor.

  - ### Method Detail

    - #### isUserAuthorized

          public boolean isUserAuthorized​(String userId,
                                          org.silverpeas.core.ResourceIdentifier id)

      Specified by:
        `isUserAuthorized` in interface `org.silverpeas.core.security.authorization.AccessController<String>`

    - #### isUserAuthorized

          public boolean isUserAuthorized​(String userId,
                                          String blogId,
                                          org.silverpeas.core.security.authorization.AccessControlContext context)

      Specified by:
        `isUserAuthorized` in interface `org.silverpeas.core.security.authorization.AccessController<String>`